﻿$ErrorActionPreference = 'Stop';

$packageName = 'intellijidea-ultimate'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://download.jetbrains.com/idea/ideaIU-2017.3.2.exe'
$url64       = 'https://download.jetbrains.com/idea/ideaIU-2017.3.2.exe'

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $toolsDir
  fileType       = 'exe'
  url            = $url
  url64bit       = $url64

  softwareName   = 'IntelliJ IDEA 2017.3*'

  checksum       = '1EE317AF85773D51AE7C4259736A48DEBC7E34B265E5881643AE472B27B43CD2'
  checksumType   = 'sha256'
  checksum64     = '1EE317AF85773D51AE7C4259736A48DEBC7E34B265E5881643AE472B27B43CD2'
  checksumType64 = 'sha256'

  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs